Subject: bug#38181: Actual height of mode-line not taken into account

From: Jonas Bernoulli <[email-masked]>
Date: Sat, 16 Nov 2019 15:54:53 +0100

Eli Zaretskii <[email-masked]> writes:

>> From: Jonas Bernoulli <[email-masked]>
>> Cc: [email-masked]
>> Date: Sat, 16 Nov 2019 00:51:19 +0100
>>
>> > An alternative would be to scale the image so that it doesn't enlarge
>> > the mode line, btw.  Is that possible in your use cases?
>>
>> No because enlarging the mode-line is one of the things I did in order
>> to make it prettier (imo).  It's a goal not a means or side-effect.
>
> If this is to make the mode line prettier, then it should be done
> once, at the beginning of a session, right?  In that case, why calling
> redisplay after loading the package or enabling a feature is not a
> solution?

No that won't work.  Each buffer has its own mode-line so when
a new buffer is created, then its height has to be calculated.

In practice all mode-lines have the same height, so if Emacs could
use the height "that all the other buffers/windows are using" when
it does not know the actual height, then that would help.